Subject: Re: linking with vc-built dlls (NBY)
From: [email-masked] (Earnie Boyd)

16 Dec 1997 06:06:51 -0800
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked]
Cc: [email-masked]

This has been discussed before,  check the mail archives.

Let me point you to:

ftp://ftp.cygnus.com/pub/gnu-win32/latest/

http://www.cygnus.com/pubs/gnupro/

http://www.cygnus.com/misc/gnu-win32/

http://www.cygnus.com/ml/gnu-win32      (this one is the mail archive)

http://www.lexa.ru/sos

http://www.fu.is.saga-u.ac.jp/~colin/gcc.html

http://www.itribe.net/virtunix/winhelp-man-pages/

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

>From: Alexander Batanov <[email-masked]>
>To: "[email-masked]'" <[email-masked]>
>Cc: "[email-masked]'" <[email-masked]>
>Subject: linking with vc-built dlls
>Date: Mon, 15 Dec 1997 17:24:49 -0500
>
>Dear all,
>
>Are there any special considerations for linking object files built 
with Cygnus g++ with dlls built with Visual C++?
>
>Dll has a C interface, so when I do nm on .lib file I see symbols which 
are not decorated but prefixed with a single underscore (maybe this is a 
problem). Quikview on .dll file shows the same symbols without leading 
underscores, though.
>
>I am integrating a gcc project with FlexLM license manager.
>mylibrary.lib is in the working directory and mylibrary.dll is in 
/winnt/system32.
>When I am trying to do this 
>
>g++ mylibrary.lib myobjectfile.o -o myproject.exe
>
>I am getting some "undefined refrence" errors:
>
>undefined reference to `lp_checkout'.
>
>
>Thanks,
>Alex Batanov
>Software Engineer
>Alternative System Concepts, Inc.
>22 Haverhill Rd
>Windham, NH
>03087-0128
>(603) 437-2234
>(603) 437-2722 fax
>[email-masked]
>-
>For help on using this list (especially unsubscribing), send a message 
to
>"[email-masked]" with one line of text: "help".
>

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".